<?php
/**
 * @copyright   Copyright (C) 2005 - 2017 Michael Richey. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

$value = strlen(trim($field->value))?trim($field->value):$field->fieldparams->get('default_value','0,0');

if ($value == '')
{
	return;
}

if (is_array($value))
{
	$value = implode(', ', $value);
}
$latlon = explode(',',$value);
$displaytype = $this->params->get('staticapikey',false)?$field->fieldparams->get('displaytype','map'):'map';
if(!$this->apikey || $displaytype == 'text') {
    echo JText::_('PLG_FIELDS_LOCATION_DISPLAY_LATITUDE').$latlon[0];
    echo '<br />';
    echo JText::_('PLG_FIELDS_LOCATION_DISPLAY_LONGITUDE').$latlon[1];
} else {
    $zoom = $field->fieldparams->get('displayzoom',1);
    $width = $field->fieldparams->get('displaywidth','auto');
    $height = $field->fieldparams->get('displayheight','200px');
    $fieldid = 'plg_fields_location_'.$field->name.'_'.$field->id;
    
    switch($displaytype) {
	case 'map':
	    $doc = JFactory::getDocument();
	    $doc->addStyleDeclaration('#'.$fieldid.' { width: '.($width=='auto'?'100%':$width).'; height: '.($height=='auto'?'100%':$height).'; margin-bottom: 20px; }');
	    $this->map->setMapId($fieldid);
	    $this->map->setMapType($field->fieldparams->get('maptype','ROADMAP'));
	    $this->map->setCenter(array($latlon[0],$latlon[1]));
	    $this->map->setZoom($zoom);
	    $this->map->setAutoload();
	    $doc->addCustomTag($this->map->getHeader());
	    echo $this->map->getBody();
	    break;
	case 'static':
	    $mapurl = $this->createStaticMapURL($value,$zoom,$width,$height);
	    echo '<img src="'.$mapurl.'" alt="location" width="'.$width.'" height="'.$height.'">';
	    break;
    }
}
